unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, checklst, PBCheckLB;

type
  TForm1 = class(TForm)
    Button2: TButton;
    FontDialog1: TFontDialog;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Label1: TLabel;
    CheckBox2: TCheckBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    Button1: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    CheckBox1: TCheckBox;
    CheckBox3: TCheckBox;
    Button6: TButton;
    Button7: TButton;
    PBCheckListBox1: TPBCheckListBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure PBCheckListBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  I: Integer;
begin
  with PBCheckListBox1 do begin
    I := Items.Add(Edit1.Text);
    if RadioButton1.Checked then
      State[I] := cbChecked;
    if RadioButton2.Checked then
      State[I] := cbGrayed;
    if RadioButton3.Checked then
      State[I] := cbUnchecked;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  I: Integer;
begin
  with PBCheckListBox1 do begin
    I := ItemIndex;
    if I <> -1 then begin
      Items[I] := Edit1.Text;
      if RadioButton1.Checked then
        State[I] := cbChecked;
      if RadioButton2.Checked then
        State[I] := cbGrayed;
      if RadioButton3.Checked then
        State[I] := cbUnchecked;
    end;
  end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  with PBCheckListBox1 do
    Items.Delete(ItemIndex);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FontDialog1.Font := PBCheckListBox1.Font;
  if FontDialog1.Execute then
    PBCheckListBox1.Font := FontDialog1.Font;
end;

procedure TForm1.PBCheckListBox1Click(Sender: TObject);
begin
  Edit1.Text := PBCheckListBox1.Items[PBCheckListBox1.ItemIndex];
  case PBCheckListBox1.State[PBCheckListBox1.ItemIndex] of
  cbChecked:
    RadioButton1.Checked := True;
  cbGrayed:
    RadioButton2.Checked := True;
  cbUnchecked:
    RadioButton3.Checked := True;
  end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  PBCheckListBox1.AllowGrayed := CheckBox2.Checked;
  RadioButton2.Enabled := CheckBox2.Checked;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
    PBCheckListBox1.Flat := False
  else
    PBCheckListBox1.Flat := True;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked then
    PBCheckListBox1.FixedSize := True
  else
    PBCheckListBox1.FixedSize := False;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  PBCheckListBox1.BmpChecked.LoadFromFile('Yes.bmp');
  PBCheckListBox1.BmpGrayed.LoadFromFile('YesNo.bmp');
  PBCheckListBox1.BmpUnchecked.LoadFromFile('No.bmp');
  PBCheckListBox1.Refresh;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  PBCheckListBox1.BmpChecked := nil;
  PBCheckListBox1.BmpGrayed := nil;
  PBCheckListBox1.BmpUnchecked := nil;
end;

end.
